<?php

namespace Garradin;

use Garradin\Plugin\Materiels\Category;
use Garradin\Membres\Session;

require_once __DIR__ . '/_inc.php';

$csrf_key = 'cat_create';

$form->runIf('save', function() {
	$cat = new Category;
	$cat->importForm([
	   'name' => ucfirst(f('name')),
	]);
  try {
    $cat->save();
  } catch (\RuntimeException $e) {
    throw new UserException('Cette catégorie existe déjà.');
  }
}, $csrf_key, Utils::getSelfURI());

$list = Category::listAll();

$tpl->assign(compact('csrf_key', 'list'));

$tpl->display(PLUGIN_ROOT . '/templates/categories.tpl');
